| NFFT 3.5.0

- Main Page
- Modules
- Data Structures
- Files

Functions | Variables
linogram_fft_test
Applications » Polar FFT
Collaboration diagram for linogram_fft_test:

## Functions
static int | linogram_grid (int T, int rr, NFFT_R *x, NFFT_R *w)
| Generates the points x with weights w for the linogram grid with T slopes and R offsets.
static int | linogram_dft (NFFT_C *f_hat, int NN, NFFT_C *f, int T, int rr, int m)
| discrete pseudo-polar FFT
static int | linogram_fft (NFFT_C *f_hat, int NN, NFFT_C *f, int T, int rr, int m)
| NFFT-based pseudo-polar FFT.
static int | inverse_linogram_fft (NFFT_C *f, int T, int rr, NFFT_C *f_hat, int NN, int max_i, int m)
| NFFT-based inverse pseudo-polar FFT.
static int | comparison_fft (FILE *fp, int N, int T, int rr)
| Comparison of the FFTW, linogram FFT, and inverse linogram FFT.
int | main (int argc, char **argv)
| test program for various parameters

## Variables
NFFT_R | GLOBAL_elapsed_time

## Detailed Description